plot.cv.glmnet {glmnet} | R Documentation

## plot the cross-validation curve produced by cv.glmnet

### Description

Plots the cross-validation curve, and upper and lower standard deviation curves, as a function of the `lambda` values used.

### Usage

    ## S3 method for class 'cv.glmnet'
    plot(x, sign.lambda, ...)

### Arguments

`x` | fitted `"cv.glmnet"` object
`sign.lambda` | Either plot against `log(lambda)` (default) or its negative if `sign.lambda=-1`.
`...` | Other graphical parameters to plot

### Details

A plot is produced, and nothing is returned.

### Author(s)

Jerome Friedman, Trevor Hastie and Rob Tibshirani
Maintainer: Trevor Hastie <hastie@stanford.edu>

### References

Friedman, J., Hastie, T. and Tibshirani, R. (2008) Regularization Paths for Generalized Linear Models via Coordinate Descent

### See Also

`glmnet` and `cv.glmnet`.

### Examples

    set.seed(1010)
    n=1000;p=100
    nzc=trunc(p/10)
    x=matrix(rnorm(n*p),n,p)
    beta=rnorm(nzc)
    fx= (x[,seq(nzc)] %*% beta)
    eps=rnorm(n)*5
    y=drop(fx+eps)
    px=exp(fx)
    px=px/(1+px)
    ly=rbinom(n=length(px),prob=px,size=1)
    cvob1=cv.glmnet(x,y)
    plot(cvob1)
    title("Gaussian Family",line=2.5)
    frame()
    set.seed(1011)
    par(mfrow=c(2,2),mar=c(4.5,4.5,4,1))
    cvob2=cv.glmnet(x,ly,family="binomial")
    plot(cvob2)
    title("Binomial Family",line=2.5)
    set.seed(1011)
    cvob3=cv.glmnet(x,ly,family="binomial",type="class")
    plot(cvob3)
    title("Binomial Family",line=2.5)

[Package glmnet version 2.0-5 Index]